Home > Element Reference : Radiogroup

Contents

### Radiogroup

Moz0.9.4

A box that draws a frame around it and expects to have radio elements as children. A header label can be created with the caption element. The radiogroup defaults to vertical orientation.

More information about Radiogroup

#### Attributes:

Attributes inherited from XUL Element

disabled

If this attribute is set to true, the radiogroup is disabled. This is usually drawn with the text in grey. If the radiogroup is disabled, the function of the button cannot be performed. Leave the attribute out entirely for a regular enabled button.

value

A value associated with the radiogroup. You may use it in a script for your own purposes.

#### Properties and Methods:

Properties and Methods inherited from XUL Element

appendItem ( label , value ) Moz0.9.6

Creates a new radio element and adds it to the end of the radiogroup. You may optionally set a value.

checkAdjacentElement ( dir )

Deselects the currently selected radio button in the group and selects the one adjacent to it. If the argument dir is true, the next radio button is selected. If it is false, the previous radio button is selected.

focusedItem

Holds the currently focused item in the radiogroup, which may or may not be the same as the selected one. You can change the focused item by setting this property.

insertItemAt ( index, label , value ) Moz0.9.6

Creates a new radio element and inserts it at a specific position in the radiogroup. You may optionally set a value.

removeItemAt ( index ) Moz0.9.6

Removes the child item in the radiogroup at the given index.

selectedItem

Holds the currently selected item in the radiogroup. If no item is currently selected, this value will be null. You can select an item by setting this value.

value

A value associated with the radiogroup. You may use it in a script for your own purposes.

Copyright (C) 1999 - 2002 XULPlanet.com